Method: projects.locations.instances.tokenAuthUsers.list

Lists all the token auth users for a token based auth enabled instance.

HTTP request


GET https://memorystore.googleapis.com/v1beta/{parent=projects/*/locations/*/instances/*}/tokenAuthUsers

The URLs use gRPC Transcoding syntax.

Path parameters

Parameters
parent

string

Required. The parent to list token auth users from. Format: projects/{project}/locations/{location}/instances/{instance}

Query parameters

Parameters
pageSize

integer

Optional. The maximum number of items to return. The maximum value is 1000; values above 1000 will be coerced to 1000. If not specified, a default value of 1000 will be used by the service. Regardless of the pageSize value, the response may include a partial list and a caller should only rely on response's nextPageToken to determine if there are more token auth users left to be queried.

pageToken

string

Optional. The nextPageToken value returned from a previous tokenAuthUsers.list request, if any.

filter

string

Optional. Expression for filtering results.

orderBy

string

Optional. Sort results by a defined order.

Request body

The request body must be empty.

Response body

Response message for tokenAuthUsers.list.

If successful, the response body contains data with the following structure:

JSON representation
{
  "tokenAuthUsers": [
    {
      object (TokenAuthUser)
    }
  ],
  "nextPageToken": string,
  "unreachable": [
    string
  ]
}
Fields
tokenAuthUsers[]

object (TokenAuthUser)

A list of token auth users in the project.

nextPageToken

string

Token to retrieve the next page of results, or empty if there are no more results in the list.

unreachable[]

string

Unordered list. Token auth users that could not be reached.

Authorization scopes

Requires one of the following OAuth scopes:

  • https://www.googleapis.com/auth/cloud-platform
  • https://www.googleapis.com/auth/memorystore.read-write